# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "scintia-96"
version = "0.3.0"
authors = ["Sarun Rattanasiri"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A lightweight, keyed 96-bit permutation based on the Speck cipher, designed for unique ID derivation."
readme = "README.md"
keywords = [
    "scintia-96",
    "cryptography",
    "permutation",
    "no_std",
    "speck",
]
categories = [
    "cryptography",
    "no-std",
    "embedded",
]
license = "BSD-2-Clause"
repository = "https://github.com/midnight-wonderer/scintia-96"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
cipher = ["dep:cipher"]
default = []

[lib]
name = "scintia_96"
path = "src/lib.rs"

[dependencies.cipher]
version = "0.4"
optional = true
